Loading...
Searching...
No Matches
etl::ibase64_encoder Class Reference

Base64 Encoder. More...

`#include <base64_encoder.h>`

## Public Types

typedef etl::span< const char > | span_type
typedef etl::delegate< void(const span_type &)> | callback_type
Public Types inherited from etl::base64
enum | { Invalid_Data = etl::integral_limits<int>::max , Min_Encode_Buffer_Size = 4 , Min_Decode_Buffer_Size = 3 }

## Public Member Functions

template<typename T>
ETL_CONSTEXPR14 bool | encode (T value)
| Encode to Base64.
template<typename TInputIterator>
ETL_CONSTEXPR14 bool | encode (TInputIterator input_begin, size_t input_length)
| Encode to Base64.
template<typename TInputIterator>
ETL_CONSTEXPR14 bool | encode (TInputIterator input_begin, TInputIterator input_end)
| Encode to Base64.
template<typename TInputIterator>
ETL_CONSTEXPR14 bool | encode_final (TInputIterator input_begin, size_t input_length)
| Encode to Base64.
template<typename TInputIterator>
ETL_CONSTEXPR14 bool | encode_final (TInputIterator input_begin, TInputIterator input_end)
| Encode to Base64.
ETL_CONSTEXPR14 bool | flush ()
| Flush any remaining data to the output.
ETL_CONSTEXPR14 void | restart ()
| Reset the encoder.
ETL_NODISCARD ETL_CONSTEXPR14 const char * | begin () const
| Returns the beginning of the output buffer.
ETL_NODISCARD ETL_CONSTEXPR14 const char * | end () const
ETL_NODISCARD ETL_CONSTEXPR14 const char * | cbegin () const
| Returns the beginning of the output buffer.
ETL_NODISCARD ETL_CONSTEXPR14 const char * | cend () const
ETL_NODISCARD ETL_CONSTEXPR14 size_t | size () const
ETL_NODISCARD ETL_CONSTEXPR14 size_t | max_size () const
| Returns the maximum size of the output buffer.
ETL_NODISCARD ETL_CONSTEXPR14 span_type | span () const
ETL_NODISCARD ETL_CONSTEXPR14 bool | overflow () const
| Returns true if the output buffer has overflowed.
ETL_NODISCARD ETL_CONSTEXPR14 bool | error () const
| Returns true if an error was detected.

## Protected Member Functions

ETL_CONSTEXPR14 | ibase64_encoder (const char *encoder_table_, bool use_padding_, char *p_output_buffer_, size_t ouput_buffer_max_size_, callback_type callback_)
| Constructor.
ETL_CONSTEXPR14 bool | encode_block ()
| Encode one block of data.
Protected Member Functions inherited from etl::base64
ETL_CONSTEXPR14 | base64 (const char *encoder_table_, bool use_padding_)

## Static Protected Member Functions

static ETL_NODISCARD ETL_CONSTEXPR14 size_t | encoded_size (size_t input_length, bool use_padding)
| Calculates the minimum buffer size required to encode to Base64.
Static Protected Member Functions inherited from etl::base64
static ETL_CONSTEXPR14 const char * | character_set_1 ()
static ETL_CONSTEXPR14 const char * | character_set_2 ()
static ETL_CONSTEXPR14 const char * | character_set_3 ()

## Additional Inherited Members

Protected Attributes inherited from etl::base64
const char * | encoder_table
const bool | use_padding

## Detailed Description

Base64 Encoder.

## Member Function Documentation

## cend()

ETL_NODISCARD ETL_CONSTEXPR14 const char * etl::ibase64_encoder::cend | ( |  | ) | const

inline

This only returns a useful value if a callback has not been set or called.

## end()

ETL_NODISCARD ETL_CONSTEXPR14 const char * etl::ibase64_encoder::end | ( |  | ) | const

inline

This only returns a useful value if a callback has not been set or called.

## size()

ETL_NODISCARD ETL_CONSTEXPR14 size_t etl::ibase64_encoder::size | ( |  | ) | const

inline

Returns the size of the output buffer. This only returns a useful value if a callback has not been set or called.

## span()

ETL_NODISCARD ETL_CONSTEXPR14 span_type etl::ibase64_encoder::span | ( |  | ) | const

inline

Get a span of the output data. This only returns a useful span if a callback has not been set or called.

The documentation for this class was generated from the following file:

- include/etl/base64_encoder.h